#### D.13.3.17 groupActionOnQImage

Procedure from library `gitfan.lib` (see gitfan_lib).

Usage:
  groupActionOnQImage(G,Q); G: list of permutations, Q: intmat

Purpose:
  Given the group G of permutations acting on the simplex on ncols(Q) objects, computes the corresponding group action on the image of Q. We assume that the basering has characteristic 0.

Return:
  list of matrices

Example:

    LIB "gitfan.lib";
    ring R = 0,(x),dp;
    intmat Q[5][10] =
    1, 1, 1, 1, 0, 0, 0, 0, 0, 0,
    1, 0, 0, 0, 1, 1, 1, 0, 0, 0,
    0, 1, 1, 0, 0, 0, -1, 1, 0, 0,
    0, 1, 0, 1, 0, -1, 0, 0, 1, 0,
    0, 0, 1, 1, -1, 0, 0, 0, 0, 1;
    list generatorsG = permutationFromIntvec(intvec( 1, 3, 2, 4, 6, 5, 7, 8, 10, 9 )),
    permutationFromIntvec(intvec( 5, 7, 1, 6, 9, 2, 8, 4, 10, 3 ));
    groupActionOnQImage(generatorsG,Q);
    ==> [1]:
    ==>    1,0,0,0,0,
    ==>    0,1,0,0,0,
    ==>    0,0,1,0,0,
    ==>    0,0,0,0,1,
    ==>    0,0,0,1,0
    ==> [2]:
    ==>    -1,1,1,0,1,
    ==>    1,0,0,0,0,
    ==>    -1,1,0,0,1,
    ==>    -1,1,1,0,0,
    ==>    -2,1,1,1,1

User manual for Singular version 4.4.1, 2025, generated by texi2html.